%global namedreltag .Beta32
%global namedversion %{version}%{?namedreltag}
Name:          jboss-metadata
Version:       7.0.0
Release:       %mkrel 0.1%{namedreltag}
Summary:       JBoss Metadata
Group:         Development/Java
License:       LGPLv2+
Url:           https://github.com/jboss/metadata
# git clone git://github.com/jboss/metadata.git
# cd metadata/ && git archive --format=tar --prefix=jboss-metadata-7.0.0.Beta32/ c754206a9b4c63c1fbb9c5554adc0ae7d519fada | xz > jboss-metadata-7.0.0.Beta32.tar.xz
Source0:       jboss-metadata-%{namedversion}.tar.xz
# change log4j and jaxb-api groupId
Patch0:        jboss-metadata-7.0.0.Beta32-buildfix.patch
# TODO test deps org.jboss.test jboss-test 1.1.4.GA
Patch1:        jboss-metadata-7.0.0.Beta32-no-jboss-test.patch

BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

# test deps
# TODO BuildRequires: jboss-test
BuildRequires: junit4
BuildRequires: jboss-logging-log4j

BuildRequires: glassfish-jaxb-api
BuildRequires: hibernate3-ejb3-persistence-3.0-api
BuildRequires: jboss-annotations-1.1-api
BuildRequires: jboss-ejb-3.1-api
BuildRequires: jboss-interceptors-1.1-api
BuildRequires: jboss-logging >= 3.1.0-2
BuildRequires: jboss-servlet-3.0-api
BuildRequires: jboss-vfs
BuildRequires: jboss-ejb3-ext-api

BuildRequires: maven
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin

Requires:      glassfish-jaxb-api
Requires:      hibernate3-ejb3-persistence-3.0-api
Requires:      jboss-annotations-1.1-api
Requires:      jboss-ejb-3.1-api
Requires:      jboss-interceptors-1.1-api
Requires:      jboss-logging >= 3.1.0-2
Requires:      jboss-servlet-3.0-api
Requires:      jboss-vfs

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
The common JavaEE metadata classes.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1
%patch1 -p1

%build
# we don't have jboss-test
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/jboss
mkdir -p %{buildroot}%{_mavenpomdir}

for m in common ejb web ear appclient; do
  install -pm 644 ${m}/target/%{name}-${m}-%{namedversion}-SNAPSHOT.jar %{buildroot}%{_javadir}/jboss/%{name}-${m}.jar
  install -pm 644 ${m}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}-${m}.pom
  %add_maven_depmap JPP.jboss-%{name}-${m}.pom jboss/%{name}-${m}.jar
done

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}-parent.pom
%add_maven_depmap JPP.jboss-%{name}-parent.pom

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}-*.jar
%{_mavenpomdir}/JPP.jboss-%{name}-*.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sun Jun 24 2012 gil <gil> 7.0.0-0.1.Beta32.mga3
+ Revision: 263133
- fix BR/R
- imported package jboss-metadata

